commit: 2e080cedaaab9f1249fcdd6c7354bd35d1b91082
Author: Tim Harder <radhermit <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 14 01:29:32 2016 +0000
Commit: Tim Harder <radhermit <AT> gentoo <DOT> org>
CommitDate: Thu Jan 14 01:34:42 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2e080ced
app-editors/vim: version bump to 7.4.1089
app-editors/vim/Manifest | 1 +
.../vim/{vim-9999.ebuild => vim-7.4.1089.ebuild} | 28 ++++------------------
app-editors/vim/vim-9999.ebuild | 28 ++++------------------
3 files changed, 9 insertions(+), 48 deletions(-)
diff --git a/app-editors/vim/Manifest b/app-editors/vim/Manifest
index ff2b1fe..41f05f7 100644
--- a/app-editors/vim/Manifest
+++ b/app-editors/vim/Manifest
@@ -1,3 +1,4 @@
+DIST vim-7.4.1089.tar.gz 12548552 SHA256
e52f7653a36b690441b47a273b1db72f0eb1e5f6729af25110a84088ca73e872 SHA512
0fca208152b3c33cebfba4c2a33a6e59643a8c2650863b56b5a5c1863eb20238c412453d9e53cf75feaef8a5ef8aa8b33b601670e39c1b3effc02ed193bbd91f
WHIRLPOOL
87f61548b29755ab1a90999af99c46fc649589e6d2e132623c04a2fa24400738255648a43d79192b2b6eb2b34ed49dd8d439e65870025983738247368f2f8598
DIST vim-7.4.542-gentoo-patches.tar.bz2 3307 SHA256
0eb635f13e199de77846e0d363a473882f2186f138158271fabf0975747a2f3d SHA512
446c66764dac2533cc2f2b3d50481971d4c63a4e81d94c545862a1be620179fdcd81a79f2d81737d1188812a6ad41d90e2a752a05acf6913e7a71464f7cecdd9
WHIRLPOOL
cfca8feef0eb8096897ef751afb0427acddd008530ded6cf908fcff51be9713da4ea3e5e613d544c5caba400d664ae19ca70925df3a218bec5c8be6f69aadda2
DIST vim-7.4.769.tar.gz 12189506 SHA256
d9b9c3af27161545a1e086e1ee9485432c0b1a792a1a59755f04ef94136c5042 SHA512
ce3917cc68dba8b69696eb43436f90347c68a687f1e8c4b2f15f4a232ff7ce1a581a61737042ec49548d78c5f010e55e4c40b051b1a2574bbc27146a9249f15c
WHIRLPOOL
230304892e501ef9851bf9f0c9fc9c888bfe1ad2cd703bcd62c449866e28308027c37c7ed466966951ec9c5feb5d9ec82e843528861212cb40a5bf4cec6e8947
DIST vim-7.4.827-gentoo-patches.tar.bz2 3106 SHA256
1d2bb395fa79dde8e3dbc0a94e4b9591f9cb544d4e52a1ecd2eac4122e55b740 SHA512
122dbcdee115ce0979ce8c5a54623ed405e889fb18967d7c9208d924bd62a7dd615544538040aef19449410c0ea5783c1832a317a1afd056d4d387c43e7a5988
WHIRLPOOL
23afe4d61b8c2f6a4d7e0e3a64a0d7c79a72ea3c317d93e969f01706c666217d19c866db56e0b09428c77d44e2adbf86edbbf4f3dbe521481c234cc66c0bafed
diff --git a/app-editors/vim/vim-9999.ebuild
b/app-editors/vim/vim-7.4.1089.ebuild
similarity index 92%
copy from app-editors/vim/vim-9999.ebuild
copy to app-editors/vim/vim-7.4.1089.ebuild
index a6f60aa..b662c4c 100644
--- a/app-editors/vim/vim-9999.ebuild
+++ b/app-editors/vim/vim-7.4.1089.ebuild
@@ -1,10 +1,10 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
VIM_VERSION="7.4"
-PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+PYTHON_COMPAT=( python{2_7,3_3,3_4,3_5} )
PYTHON_REQ_USE=threads
inherit eutils vim-doc flag-o-matic fdo-mime versionator bash-completion-r1
python-r1
@@ -34,7 +34,7 @@ REQUIRED_USE="
RDEPEND="
>=app-eselect/eselect-vi-1.1
- >=sys-libs/ncurses-5.2-r2
+ >=sys-libs/ncurses-5.2-r2:0
nls? ( virtual/libintl )
acl? ( kernel_linux? ( sys-apps/acl ) )
cscope? ( dev-util/cscope )
@@ -50,7 +50,7 @@ RDEPEND="
perl? ( dev-lang/perl:= )
python? ( ${PYTHON_DEPS} )
racket? ( dev-scheme/racket )
- ruby? ( || ( dev-lang/ruby:2.2 dev-lang/ruby:2.1 dev-lang/ruby:2.0 ) )
+ ruby? ( || ( dev-lang/ruby:2.3 dev-lang/ruby:2.2 dev-lang/ruby:2.1
dev-lang/ruby:2.0 ) )
selinux? ( sys-libs/libselinux )
tcl? ( dev-lang/tcl:0= )
X? ( x11-libs/libXt )
@@ -351,26 +351,6 @@ pkg_postinst() {
# Update documentation tags (from vim-doc.eclass)
update_vim_helptags
- if [[ -z ${REPLACING_VERSIONS} ]] ; then
- if use X ; then
- echo
- elog "The 'X' USE flag enables vim <-> X communication,
like"
- elog "updating the xterm titlebar. It does not install
a GUI."
- fi
- echo
- elog "To install a GUI version of vim, use the app-editors/gvim"
- elog "package."
- echo
- elog "Vim 7 includes an integrated spell checker. You need to
install"
- elog "word list files before you can use it. There are ebuilds
for"
- elog "some of these named app-vim/vim-spell-*. If your language
of"
- elog "choice is not included, please consult vim-spell.eclass
for"
- elog "instructions on how to make a package."
- echo
- ewarn "Note that the English word lists are no longer installed
by"
- ewarn "default."
- fi
-
# Make convenience symlinks
update_vim_symlinks
}
diff --git a/app-editors/vim/vim-9999.ebuild b/app-editors/vim/vim-9999.ebuild
index a6f60aa..b662c4c 100644
--- a/app-editors/vim/vim-9999.ebuild
+++ b/app-editors/vim/vim-9999.ebuild
@@ -1,10 +1,10 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
VIM_VERSION="7.4"
-PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+PYTHON_COMPAT=( python{2_7,3_3,3_4,3_5} )
PYTHON_REQ_USE=threads
inherit eutils vim-doc flag-o-matic fdo-mime versionator bash-completion-r1
python-r1
@@ -34,7 +34,7 @@ REQUIRED_USE="
RDEPEND="
>=app-eselect/eselect-vi-1.1
- >=sys-libs/ncurses-5.2-r2
+ >=sys-libs/ncurses-5.2-r2:0
nls? ( virtual/libintl )
acl? ( kernel_linux? ( sys-apps/acl ) )
cscope? ( dev-util/cscope )
@@ -50,7 +50,7 @@ RDEPEND="
perl? ( dev-lang/perl:= )
python? ( ${PYTHON_DEPS} )
racket? ( dev-scheme/racket )
- ruby? ( || ( dev-lang/ruby:2.2 dev-lang/ruby:2.1 dev-lang/ruby:2.0 ) )
+ ruby? ( || ( dev-lang/ruby:2.3 dev-lang/ruby:2.2 dev-lang/ruby:2.1
dev-lang/ruby:2.0 ) )
selinux? ( sys-libs/libselinux )
tcl? ( dev-lang/tcl:0= )
X? ( x11-libs/libXt )
@@ -351,26 +351,6 @@ pkg_postinst() {
# Update documentation tags (from vim-doc.eclass)
update_vim_helptags
- if [[ -z ${REPLACING_VERSIONS} ]] ; then
- if use X ; then
- echo
- elog "The 'X' USE flag enables vim <-> X communication,
like"
- elog "updating the xterm titlebar. It does not install
a GUI."
- fi
- echo
- elog "To install a GUI version of vim, use the app-editors/gvim"
- elog "package."
- echo
- elog "Vim 7 includes an integrated spell checker. You need to
install"
- elog "word list files before you can use it. There are ebuilds
for"
- elog "some of these named app-vim/vim-spell-*. If your language
of"
- elog "choice is not included, please consult vim-spell.eclass
for"
- elog "instructions on how to make a package."
- echo
- ewarn "Note that the English word lists are no longer installed
by"
- ewarn "default."
- fi
-
# Make convenience symlinks
update_vim_symlinks
}